View Issue Details

IDProjectCategoryView StatusLast Update
0015267ScribusColor Managementpublic2018-04-24 05:22
Reporterchristoph_s Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86 64OSLinuxOS VersionopenSUSE 42.1
Product Version1.5.4.svn 
Target Version1.5.4Fixed in Version1.5.4.svn 
Summary0015267: Colour model switch in the "Colours & Fills" dialogue doesn't work as expected
DescriptionIn theory, the switch between colour models in the C&F dialogue takes into account the colour profiles for fill colours. However, that's not how it works. Currently, Scribus converts from one colour model to another without any sign of the selected profile having any influence.
Steps To Reproduce1) Without any document open, select the CIELAB or CIEHLC palette (or any other LAB-based palette) as the default.

2) Create a new document.

3) Open the Document Setup and in the Colour Management tab select a colour profile for coated printing, e.g. FOGRA39.

4) Go to to "Edit > Colours & Fills", select a random colour and click "Edit"

5) In the colour dialogue change the model from LAB to CMYK and cancel the colour editing.

6) Go back to the Document Setup and change the profile for CMYK fill colours for something radically different, e.g. a newspaper print profile like SNAP.

7) Repeat steps 4 and 5 and you'll notice that the CMYK values are exactly the same as before, which can't be true.
Additional InformationThis should be fixed before the release of 1.5.4.
TagsNo tags attached.
PatchNo

Activities

christoph_s

2018-04-24 05:22

administrator   ~0045176

Tested, fixed. Thanks!

Issue History

Date Modified Username Field Change
2018-04-21 05:00 christoph_s New Issue
2018-04-21 05:00 christoph_s Status new => assigned
2018-04-21 05:00 christoph_s Assigned To => jghali
2018-04-23 11:26 jghali Status assigned => resolved
2018-04-23 11:26 jghali Resolution open => fixed
2018-04-23 11:26 jghali Fixed in Version => 1.5.4.svn
2018-04-24 05:22 christoph_s Status resolved => closed
2018-04-24 05:22 christoph_s Note Added: 0045176